# DescribeNatGateways

## 1. 接口描述

本接口(DescribeNatGateways)用于查询NAT网关列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型                                                                                           | 描述                                     |
| --------------- | -- | -------------------------------------------------------------------------------------------- | -------------------------------------- |
| regionId        | 否  | String                                                                                       | 节点ID。                                  |
| vpcId           | 否  | String                                                                                       | 根据NAT网关所属的VPC网络 ID过滤。                  |
| natGatewayIds   | 否  | Array of String                                                                              | <p>NAT网关ID集合。</p><p>实例ID数量上限为100个。</p> |
| name            | 否  | String                                                                                       | NAT网关名称。                               |
| status          | 否  | String                                                                                       | NAT网关状态。                               |
| securityGroupId | 否  | String                                                                                       | 根据NAT网关所属的安全组ID过滤。                     |
| pageSize        | 否  | Integer                                                                                      | <p>返回的分页大小。</p><p>默认为20，最大为1000。</p>   |
| pageNum         | 否  | Integer                                                                                      | <p>返回的分页页码。</p><p>默认值：1</p>            |
| resourceGroupId | 否  | String                                                                                       | 资源组ID。                                 |
| tagKeys         | 否  | Array of String                                                                              | <p>根据标签键进行搜索。</p><p>最长不得超过20个标签键。</p>  |
| tags            | 否  | Array of [Tag](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#tag) | <p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p>    |

## 3. 响应结果

| 参数名称       | 类型                                                                                                         | 描述                                                       |
| ---------- | ---------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                                                     | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                                                    | 满足过滤条件的NAT网关总数。                                          |
| dataSet    | Array of [NatGateway](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#natgateway) | 返回的NAT网关列表。                                              |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查看NAT网关列表。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeNatGateways
<Common Request Params>

Request：
{
}

Response：
{
  "requestId": "T20F6B319-E8DD-4B1F-B038-DC79E4EA57F7",
  "response": {
      "requestId": "T20F6B319-E8DD-4B1F-B038-DC79E4EA57F7",
      "totalCount": 1,
      "dataSet": [
          {
              "resourceGroupName": "Default Resource Group",
              "natGatewayId": "<natGatewayId>",
              "expiredTime": null,
              "securityGroupId": "<securityGroupId>",
              "icmpReplyEnabled": true,
              "regionId": "asia-east-1",
              "createTime": "2025-04-01T01:01:01Z",
              "vpcId": "<vpcId>",
              "name": "<name>",
              "eipIds": ["<eipId>"],
              "resourceGroupId": "<resourceGroupId>",
              "isAllSubnets": false,
              "status": "RUNNING",
              "subnetIds": ["<subnetId>"],
              "zbgId": "<zbgId>",
              "tags":null
          }
      ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/nat-gateway/describenatgateways.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
